-----------------------------------------------------------------------------------------------
-- Client Lua Script for Emotie 0.11
-- Copyright (c) NCsoft. All rights reserved
-----------------------------------------------------------------------------------------------
 
require "Window"
 
-----------------------------------------------------------------------------------------------
-- Emotie Module Definition
-----------------------------------------------------------------------------------------------
local Emotie = {} 
 
-----------------------------------------------------------------------------------------------
-- Constants
-----------------------------------------------------------------------------------------------
-- e.g. local kiExampleVariableMax = 999
 
-----------------------------------------------------------------------------------------------
-- Initialization
-----------------------------------------------------------------------------------------------
function Emotie:new(o)
    o = o or {}
    setmetatable(o, self)
    self.__index = self 

    -- initialize variables here

    return o
end

function Emotie:Init()
	local bHasConfigureFunction = false
	local strConfigureButtonText = ""
	local tDependencies = {
		-- "UnitOrPackageName",
	}
    Apollo.RegisterAddon(self, bHasConfigureFunction, strConfigureButtonText, tDependencies)
end
 

-----------------------------------------------------------------------------------------------
-- Emotie OnLoad
-----------------------------------------------------------------------------------------------
function Emotie:OnLoad()
    -- load our form file
	self.xmlDoc = XmlDoc.CreateFromFile("Emotie.xml")
	self.xmlDoc:RegisterCallback("OnDocLoaded", self)
	Apollo.RegisterSlashCommand("apologize", "Apologize", self)
	Apollo.RegisterSlashCommand("attack", "Attack", self)
	Apollo.RegisterSlashCommand("attacktarget", "Attack", self)
	Apollo.RegisterSlashCommand("bark", "Bark", self)
	Apollo.RegisterSlashCommand("bashful", "Bashful", self)
	Apollo.RegisterSlashCommand("beg", "Beg", self)
	Apollo.RegisterSlashCommand("belch", "Belch", self)
	Apollo.RegisterSlashCommand("burp", "Belch", self)
	Apollo.RegisterSlashCommand("bite", "Bite", self)
	Apollo.RegisterSlashCommand("boggle", "Boggle", self)
	Apollo.RegisterSlashCommand("bounce", "Bounce", self)
	Apollo.RegisterSlashCommand("bravo", "Bravo", self)
	Apollo.RegisterSlashCommand("brb", "Brb", self)
	Apollo.RegisterSlashCommand("cackle", "Cackle", self)
	Apollo.RegisterSlashCommand("calm", "Calm", self)
	Apollo.RegisterSlashCommand("cat", "Cat", self)
	Apollo.RegisterSlashCommand("catty", "Cat", self)
	Apollo.RegisterSlashCommand("scratch", "Cat", self)
	Apollo.RegisterSlashCommand("charge", "Charge", self)
	Apollo.RegisterSlashCommand("chew", "Chew", self)
	Apollo.RegisterSlashCommand("feast", "Chew", self)
	Apollo.RegisterSlashCommand("chicken", "Chicken", self)
	Apollo.RegisterSlashCommand("strut", "Chicken", self)
	Apollo.RegisterSlashCommand("flap", "Chicken", self)
	Apollo.RegisterSlashCommand("chuckle", "Chuckle", self)
	Apollo.RegisterSlashCommand("cold", "Cold", self)
	Apollo.RegisterSlashCommand("commend", "Commend", self)
	Apollo.RegisterSlashCommand("congrats", "Congrats", self)
	Apollo.RegisterSlashCommand("cong", "Congrats", self)
	Apollo.RegisterSlashCommand("congratulate", "Congrats", self)
	Apollo.RegisterSlashCommand("cough", "Cough", self)
	Apollo.RegisterSlashCommand("crack", "Crack", self)
	Apollo.RegisterSlashCommand("knuckles", "Crack", self)
	Apollo.RegisterSlashCommand("cringe", "Cringe", self)
	Apollo.RegisterSlashCommand("cuddle", "Cuddle", self)
	Apollo.RegisterSlashCommand("spoon", "Cuddle", self)
	Apollo.RegisterSlashCommand("curious", "Curious", self)
	Apollo.RegisterSlashCommand("curtsey", "Curtsey", self)
	Apollo.RegisterSlashCommand("curtsy", "Curtsey", self)
	Apollo.RegisterSlashCommand("disappointed", "Disappointed", self)
	Apollo.RegisterSlashCommand("disappointment", "Disappointed", self)
	Apollo.RegisterSlashCommand("frown", "Disappointed", self)
	Apollo.RegisterSlashCommand("doh", "Doh", self)
	Apollo.RegisterSlashCommand("doom", "Doom", self)
	Apollo.RegisterSlashCommand("threat", "Doom", self)
	Apollo.RegisterSlashCommand("wrath", "Doom", self)
	Apollo.RegisterSlashCommand("threaten", "Doom", self)
	Apollo.RegisterSlashCommand("duck", "Duck", self)
	Apollo.RegisterSlashCommand("eye", "Eye", self)	
	Apollo.RegisterSlashCommand("eyes", "Eye", self)
	Apollo.RegisterSlashCommand("fart", "Fart", self)
	Apollo.RegisterSlashCommand("fidget", "Fidget", self)
	Apollo.RegisterSlashCommand("impatient", "Fidget", self)
	Apollo.RegisterSlashCommand("flee", "Flee", self)
	Apollo.RegisterSlashCommand("flop", "Flop", self)
	Apollo.RegisterSlashCommand("followme", "FollowMe", self)	
	Apollo.RegisterSlashCommand("food", "Hungry", self)
	Apollo.RegisterSlashCommand("gaze", "Gaze", self)
	Apollo.RegisterSlashCommand("giggle", "Giggle", self)
	Apollo.RegisterSlashCommand("glad", "Glad", self)
	Apollo.RegisterSlashCommand("happy", "Glad", self)
	Apollo.RegisterSlashCommand("yay", "Glad", self)
	Apollo.RegisterSlashCommand("glare", "Glare", self)
	Apollo.RegisterSlashCommand("gloat", "Gloat", self)
	Apollo.RegisterSlashCommand("golfclap", "GolfClap", self)
	Apollo.RegisterSlashCommand("greet", "Greet", self)
	Apollo.RegisterSlashCommand("greetings", "Greet", self)
	Apollo.RegisterSlashCommand("groan", "Groan", self)
	Apollo.RegisterSlashCommand("grovel", "Grovel", self)
	Apollo.RegisterSlashCommand("peon", "Grovel", self)
	Apollo.RegisterSlashCommand("growl", "Growl", self)
	Apollo.RegisterSlashCommand("guffaw", "Guffaw", self)
	Apollo.RegisterSlashCommand("hail", "Hail", self)
	Apollo.RegisterSlashCommand("healme", "HealMe", self)
	Apollo.RegisterSlashCommand("hello", "Hello", self)
	Apollo.RegisterSlashCommand("hi", "Hello", self)
	Apollo.RegisterSlashCommand("helpme", "HelpMe", self)
	Apollo.RegisterSlashCommand("highfive", "HighFive", self)
	Apollo.RegisterSlashCommand("hungry", "Hungry", self)
	Apollo.RegisterSlashCommand("pizza", "Hungry", self)
	Apollo.RegisterSlashCommand("incoming", "Incoming", self)
	Apollo.RegisterSlashCommand("insult", "Insult", self)
	Apollo.RegisterSlashCommand("introduce", "Introduce", self)
	Apollo.RegisterSlashCommand("jk", "JK", self)
	Apollo.RegisterSlashCommand("lavish", "Lavish", self)
	Apollo.RegisterSlashCommand("lay", "Lay", self)
	Apollo.RegisterSlashCommand("laydown", "Lay", self)
	Apollo.RegisterSlashCommand("lie", "Lay", self)
	Apollo.RegisterSlashCommand("liedown", "Lay", self)
	Apollo.RegisterSlashCommand("listen", "Listen", self)
	Apollo.RegisterSlashCommand("lol", "LOL", self)
	Apollo.RegisterSlashCommand("lost", "Lost", self)
	Apollo.RegisterSlashCommand("mad", "Mad", self)
	Apollo.RegisterSlashCommand("massage", "Massage", self)
	Apollo.RegisterSlashCommand("moan", "Moan", self)
	Apollo.RegisterSlashCommand("mock", "Mock", self)
	Apollo.RegisterSlashCommand("moo", "Moo", self)
	Apollo.RegisterSlashCommand("moon", "Moon", self)
	Apollo.RegisterSlashCommand("mourn", "Mourn", self)
	Apollo.RegisterSlashCommand("openfire", "OpenFire", self)
	Apollo.RegisterSlashCommand("party", "Party", self)
	Apollo.RegisterSlashCommand("peer", "Peer", self)
	Apollo.RegisterSlashCommand("pest", "Pest", self)
	Apollo.RegisterSlashCommand("shoo", "Pest", self)
	Apollo.RegisterSlashCommand("pick", "Pick", self)
	Apollo.RegisterSlashCommand("pity", "Pity", self)
	Apollo.RegisterSlashCommand("plead", "Plead", self)
	Apollo.RegisterSlashCommand("ponder", "Ponder", self)
	Apollo.RegisterSlashCommand("pounce", "Pounce", self)
	Apollo.RegisterSlashCommand("pray", "Pray", self)
	Apollo.RegisterSlashCommand("purr", "Purr", self)
	Apollo.RegisterSlashCommand("puzzled", "Puzzled", self)
	Apollo.RegisterSlashCommand("question", "Question", self)
	Apollo.RegisterSlashCommand("talkq", "Question", self)
	Apollo.RegisterSlashCommand("raise", "Raise", self)
	Apollo.RegisterSlashCommand("volunteer", "Raise", self)
	Apollo.RegisterSlashCommand("ready", "Ready", self)
	Apollo.RegisterSlashCommand("rdy", "Ready", self)
	Apollo.RegisterSlashCommand("rear", "Rear", self)
	Apollo.RegisterSlashCommand("shake", "Rear", self)
	Apollo.RegisterSlashCommand("rofl", "ROFL", self)	
	Apollo.RegisterSlashCommand("rude", "Rude", self)
	Apollo.RegisterSlashCommand("rasp", "Rude", self)
	Apollo.RegisterSlashCommand("scared", "Scared", self)
	Apollo.RegisterSlashCommand("sexy", "Sexy", self)
	Apollo.RegisterSlashCommand("shimmy", "Shimmy", self)
	Apollo.RegisterSlashCommand("shindig", "Party", self)
	Apollo.RegisterSlashCommand("shiver", "Shiver", self)
	Apollo.RegisterSlashCommand("silly", "Silly", self)
	Apollo.RegisterSlashCommand("smell", "Smell", self)
	Apollo.RegisterSlashCommand("smirk", "Smirk", self)
	Apollo.RegisterSlashCommand("snarl", "Snarl", self)
	Apollo.RegisterSlashCommand("snicker", "Snicker", self)
	Apollo.RegisterSlashCommand("sniff", "Sniff", self)
	Apollo.RegisterSlashCommand("snub", "Snub", self)
	Apollo.RegisterSlashCommand("sob", "Sob", self)
	Apollo.RegisterSlashCommand("weep", "Sob", self)
	Apollo.RegisterSlashCommand("soothe", "Soothe", self)
	Apollo.RegisterSlashCommand("sorry", "Apologize", self)
	Apollo.RegisterSlashCommand("spit", "Spit", self)
	Apollo.RegisterSlashCommand("strong", "Strong", self)
	Apollo.RegisterSlashCommand("surrender", "Surrender", self)
	Apollo.RegisterSlashCommand("talkex", "TalkEx", self)
	Apollo.RegisterSlashCommand("tap", "Tap", self)
	Apollo.RegisterSlashCommand("taunt", "Taunt", self)
	Apollo.RegisterSlashCommand("tease", "Tease", self)
	Apollo.RegisterSlashCommand("thirsty", "Thirsty", self)
	Apollo.RegisterSlashCommand("tickle", "Tickle", self)
	Apollo.RegisterSlashCommand("tired", "Tired", self)
	Apollo.RegisterSlashCommand("train", "Train", self)
	Apollo.RegisterSlashCommand("ty", "Thank", self)
	Apollo.RegisterSlashCommand("veto", "Veto", self)
	Apollo.RegisterSlashCommand("victory", "Victory", self)
	Apollo.RegisterSlashCommand("violin", "Violin", self)
	Apollo.RegisterSlashCommand("wait", "Wait", self)
	Apollo.RegisterSlashCommand("whistle", "Whistle", self)
	Apollo.RegisterSlashCommand("wicked", "Wicked", self)
	Apollo.RegisterSlashCommand("wickedly", "Wicked", self)
	Apollo.RegisterSlashCommand("woot", "Woot", self)
	Apollo.RegisterSlashCommand("work", "Work", self)

	
end

-----------------------------------------------------------------------------------------------
-- Emotie OnDocLoaded
-----------------------------------------------------------------------------------------------
function Emotie:OnDocLoaded()

	if self.xmlDoc ~= nil and self.xmlDoc:IsLoaded() then
	    self.wndMain = Apollo.LoadForm(self.xmlDoc, "EmotieForm", nil, self)
		if self.wndMain == nil then
			Apollo.AddAddonErrorText(self, "Could not load the main window for some reason.")
			return
		end
		
	    self.wndMain:Show(false, true)

		-- if the xmlDoc is no longer needed, you should set it to nil
		-- self.xmlDoc = nil
		
		-- Register handlers for events, slash commands and timer, etc.
		-- e.g. Apollo.RegisterEventHandler("KeyDown", "OnKeyDown", self)


		-- Do additional Addon initialization here
	end
end

-----------------------------------------------------------------------------------------------
-- Emotie Functions
-----------------------------------------------------------------------------------------------
-- Define general functions here
function Emotie:GetTargetName()
	local character = GameLib.GetPlayerUnit()
	local target = character:GetTarget()
	local targetName = ""
	if target ~= nil then
		targetName = target:GetName()
	end
	return targetName
end

function Emotie:GetSelfGender()
	local character = GameLib.GetPlayerUnit()
	local gender = character:GetGender()
	--females are a 1, males are a 0
	return gender
end

function Emotie:GetTargetGender()
	local character = GameLib.GetPlayerUnit()
	local target = character:GetTarget()
	local gender = target:GetGender()
	--females are a 1, males are a 0
	return gender
end

function Emotie:Apologize()
	local targetName = self:GetTargetName()
	if targetName ~= "" then
		ChatSystemLib.Command("/e apologizes to " .. targetName .. ". Sorry!")	
	else
		ChatSystemLib.Command("/e apologizes to everyone. Sorry!")
	end
end

function Emotie:Attack()
	local targetName = self:GetTargetName()
	if targetName ~= "" then
		ChatSystemLib.Command("/e tells everyone to attack " .. targetName .. ".")	
	else
		ChatSystemLib.Command("/e tells everyone to attack something.")
	end
end

function Emotie:Bark()
	local targetName = self:GetTargetName()
	if targetName ~= "" then
		ChatSystemLib.Command("/e barks at " .. targetName .. ".")	
	else
		ChatSystemLib.Command("/e barks. Woof woof!")
	end
end

function Emotie:Bashful()
	local targetName = self:GetTargetName()
	if targetName ~= "" then
		ChatSystemLib.Command("/e is so bashful... too bashful to get " .. targetName .. "'s attention.")	
	else
		ChatSystemLib.Command("/e is bashful.")
	end
end

function Emotie:Beg()
	local targetName = self:GetTargetName()
	if targetName ~= "" then
		ChatSystemLib.Command("/e begs " .. targetName .. ". How pathetic.")	
	else
		local gender = self:GetSelfGender()
		local heher = "he"
		if gender == 1 then
			heher = "her"
		end
		ChatSystemLib.Command("/e begs everyone around " .. heher .. ". How pathetic.")
	end
end

function Emotie:Belch()
	local targetName = self:GetTargetName()
	if targetName ~= "" then
		ChatSystemLib.Command("/e burps rudely in " .. targetName .. "'s face.")	
	else
		ChatSystemLib.Command("/e lets out a loud belch.")
	end
end

function Emotie:Bite()
	local targetName = self:GetTargetName()
	if targetName ~= "" then
		ChatSystemLib.Command("/e bites " .. targetName .. ". Ouch!")	
	else
		ChatSystemLib.Command("/e looks around for someone to bite.")
	end
end

function Emotie:Boggle()
	local targetName = self:GetTargetName()
	if targetName ~= "" then
		ChatSystemLib.Command("/e boggles at " .. targetName .. ".")	
	else
		ChatSystemLib.Command("/e boggles at the situation.")
	end
end

function Emotie:Bounce()
	local targetName = self:GetTargetName()
	if targetName ~= "" then
		ChatSystemLib.Command("/e bounces up and down in front of " .. targetName .. ".")	
	else
		ChatSystemLib.Command("/e bounces up and down.") --like a nightelf :3
	end
end

function Emotie:Bravo()
	local targetName = self:GetTargetName()
	if targetName ~= "" then
		ChatSystemLib.Command("/e applauds at " .. targetName .. ". Bravo!")	
	else
		ChatSystemLib.Command("/e applauds. Bravo!") 
	end
end

function Emotie:Brb()
	local targetName = self:GetTargetName()
	local gender = self:GetSelfGender()
	local heshe = "he"
	if gender == 1 then
		heshe = "she"
	end
	if targetName ~= "" then
		ChatSystemLib.Command("/e lets " .. targetName .. " know that ".. heshe .. "'ll be right back.")	
	else
		ChatSystemLib.Command("/e lets everyone know that " .. heshe .. "'ll be right back.")
	end
end

function Emotie:Cackle()
	local targetName = self:GetTargetName()
	if targetName ~= "" then
		ChatSystemLib.Command("/e cackles maniacally at " .. targetName .. ".")	
	else
		ChatSystemLib.Command("/e cackles maniacally at the situation.") 
	end
end

function Emotie:Calm()
	local targetName = self:GetTargetName()
	if targetName ~= "" then
		ChatSystemLib.Command("/e tries to clam " .. targetName .. " down.")	
	else
		ChatSystemLib.Command("/e remains calm.") 
	end
end

function Emotie:Cat()
	local targetName = self:GetTargetName()
	if targetName ~= "" then
		ChatSystemLib.Command("/e sratches " .. targetName .. ". How catty!")	
	else
		local gender = self:GetSelfGender()
		local himher = "himself"
		if gender == 1 then
			himher = "herself"
		end
		ChatSystemLib.Command("/e scratches " .. himher .. ". Ah, much better!")
	end
end

function Emotie:Charge()
	local targetName = self:GetTargetName()
	if targetName ~= "" then
		ChatSystemLib.Command("/e starts to charge at " .. targetName .. ".")	
	else
		ChatSystemLib.Command("/e starts to charge.")
	end
end

function Emotie:Chew()
	local targetName = self:GetTargetName()
	if targetName ~= "" then
		ChatSystemLib.Command("/e begins to eat in front of " .. targetName .. ".")	
	else
		ChatSystemLib.Command("/e begins to eat.")
	end
end

function Emotie:Chicken()
	local targetName = self:GetTargetName()
	local gender = self:GetSelfGender()
	local heshe = "he"
	if gender == 1 then
		heshe = "she"
	end
	if targetName ~= "" then
		ChatSystemLib.Command("/e arms flap as " .. heshe .. " struts around " .. targetName .. ". Cluck, Cluck, Chicken!")	
	else
		ChatSystemLib.Command("/e arms flap as " .. heshe .. " struts around. Cluck, Cluck, Chicken!")
	end
end

function Emotie:Chuckle()
	local targetName = self:GetTargetName()
	if targetName ~= "" then
		ChatSystemLib.Command("/e chuckles at " .. targetName .. ".")	
	else
		ChatSystemLib.Command("/e lets out a hearty chuckle.")
	end
end

function Emotie:Cold()
	local targetName = self:GetTargetName()
	local gender = self:GetSelfGender()
	local heshe = "he"
	if gender == 1 then
		heshe = "she"
	end
	if targetName ~= "" then
		ChatSystemLib.Command("/e lets ".. targetName.. " know that " .. heshe .. " is cold.")	
	else
		ChatSystemLib.Command("/e lets everyone know that " .. heshe .. " is cold.")
	end
end

function Emotie:Commend()
	local targetName = self:GetTargetName()
	if targetName ~= "" then
		ChatSystemLib.Command("/e commends " .. targetName .. " on a job well done.")	
	else
		ChatSystemLib.Command("/e commends everyone on a job well done.")
	end
end

function Emotie:Congrats()
	local targetName = self:GetTargetName()
	if targetName ~= "" then
		ChatSystemLib.Command("/e congratulates " .. targetName .. ".")	
	else
		local gender = self:GetSelfGender()
		local himher = "him"
		if gender == 1 then
			himher = "her"
		end
		ChatSystemLib.Command("/e congratulates everyone around " .. himher .. ".")
	end
end

function Emotie:Cough()
	local targetName = self:GetTargetName()
	if targetName ~= "" then
		ChatSystemLib.Command("/e coughs at " .. targetName .. ".")	
	else
		ChatSystemLib.Command("/e lets out a hacking cough.")
	end
end

function Emotie:Crack()
	local targetName = self:GetTargetName()
	local gender = self:GetSelfGender()
	local hisher = "his"
	if gender == 1 then
		hisher = "her"
	end
	if targetName ~= "" then
		ChatSystemLib.Command("/e cracks " .. hisher .. " knuckles while staring at " .. targetName .. ".")	
	else
		ChatSystemLib.Command("/e cracks " .. hisher .. " knuckles.")
	end
end

function Emotie:Cringe()
	local targetName = self:GetTargetName()
	if targetName ~= "" then
		ChatSystemLib.Command("/e cringes away from " .. targetName .. ".")	
	else
		ChatSystemLib.Command("/e cringes in fear.")
	end
end

function Emotie:Cuddle()
	local targetName = self:GetTargetName()
	if targetName ~= "" then
		ChatSystemLib.Command("/e cuddles up against " .. targetName .. ".")	
	else
		ChatSystemLib.Command("/e needs to be cuddled.")
	end
end

function Emotie:Curious()
	local targetName = self:GetTargetName()
	local gender = self:GetSelfGender()
	local hisher = "his"
	local himher = "him"
	if gender == 1 then
		hisher = "her"
		himher = "her"
	end
	if targetName ~= "" then
		ChatSystemLib.Command("/e is curious what " .. targetName .. " is up to.")	
	else
		ChatSystemLib.Command("/e expresses " .. hisher .. " curiousity to those around " .. himher .. ".")
	end
end

function Emotie:Curtsey()
	local targetName = self:GetTargetName()
	if targetName ~= "" then
		ChatSystemLib.Command("/e curtsies before " .. targetName .. ".")	
	else
		ChatSystemLib.Command("/e curtsies.")
	end
end

function Emotie:Disappointed()
	local targetName = self:GetTargetName()
	if targetName ~= "" then
		ChatSystemLib.Command("/e frowns with disappointment at " .. targetName .. ".")	
	else
		ChatSystemLib.Command("/e frowns.")
	end
end

function Emotie:Doh()
	local targetName = self:GetTargetName()
	if targetName ~= "" then
		ChatSystemLib.Command("/e bonks " .. targetName .. " on the noggin. Doh!")	
	else
		local gender = self:GetSelfGender()
		local himherself = "himself"
		if gender == 1 then
			himherself = "herself"
		end
		ChatSystemLib.Command("/e bonks " .. himherself .. " on the head. Doh!")
	end
end

function Emotie:Doom()
	local targetName = self:GetTargetName()
	if targetName ~= "" then
		ChatSystemLib.Command("/e threatens " .. targetName .. " with the wrath of doom.")	
	else
		ChatSystemLib.Command("/e threatens everyone with the wrath of doom.")
	end
end

function Emotie:Duck()
	local targetName = self:GetTargetName()
	if targetName ~= "" then
		ChatSystemLib.Command("/e ducks behind " .. targetName .. ".")	
	else
		ChatSystemLib.Command("/e ducks for cover.")
	end
end

function Emotie:Eye()
	local targetName = self:GetTargetName()
	local gender = self:GetSelfGender()
	if targetName ~= "" then
		ChatSystemLib.Command("/e eyes " .. targetName .. " up and down.")	
	else
		local hisher = "his"
		if gender == 1 then
			hisher = "her"
		end
		ChatSystemLib.Command("/e crosses " .. hisher .. " eyes.")
	end
end

function Emotie:Fart()
	local targetName = self:GetTargetName()
	if targetName ~= "" then
		ChatSystemLib.Command("/e brushes up against " .. targetName .. " and farts loudly.")	
	else
		ChatSystemLib.Command("/e farts loudly. Whew... what stinks?")
	end
end

function Emotie:Fidget()
	local targetName = self:GetTargetName()
	if targetName ~= "" then
		ChatSystemLib.Command("/e fidgets impatiently while waiting for " .. targetName .. ".")	
	else
		ChatSystemLib.Command("/e fidgets.")
	end
end

function Emotie:Flee()
	local targetName = self:GetTargetName()
	if targetName ~= "" then
		ChatSystemLib.Command("/e yell for " .. targetName .. " to flee!")	
	else
		ChatSystemLib.Command("/e yells for everyone to flee!")
	end
end

function Emotie:Flop()
	local targetName = self:GetTargetName()
	if targetName ~= "" then
		ChatSystemLib.Command("/e flops about helplessly around " .. targetName .. ".")	
	else
		ChatSystemLib.Command("/e flops about helplessly.")
	end
end

function Emotie:FollowMe()
	local targetName = self:GetTargetName()
	if targetName ~= "" then
		ChatSystemLib.Command("/e motions " .. targetName .. " to follow.")	
	else
		ChatSystemLib.Command("/e motions everyone to follow.")
	end
end

function Emotie:Gaze()
	local targetName = self:GetTargetName()
	if targetName ~= "" then
		ChatSystemLib.Command("/e gazes eagerly at " .. targetName .. ".")	
	else
		ChatSystemLib.Command("/e gazes off into the distance.")
	end
end

function Emotie:Giggle()
	local targetName = self:GetTargetName()
	if targetName ~= "" then
		ChatSystemLib.Command("/e giggles at " .. targetName .. ".")	
	else
		ChatSystemLib.Command("/e giggles.")
	end
end

function Emotie:Glad()
	local targetName = self:GetTargetName()
	if targetName ~= "" then
		ChatSystemLib.Command("/e is very happy with " .. targetName .. ".")	
	else
		ChatSystemLib.Command("/e is filled with happiness!")
	end
end

function Emotie:Glare()
	local targetName = self:GetTargetName()
	if targetName ~= "" then
		ChatSystemLib.Command("/e glares angrily at " .. targetName .. ".")	
	else
		ChatSystemLib.Command("/e glares angrily.")
	end
end

function Emotie:Gloat()
	local targetName = self:GetTargetName()
	if targetName ~= "" then
		ChatSystemLib.Command("/e gloates over " .. targetName .. "'s misfortune.")	
	else
		ChatSystemLib.Command("/e gloat over everyone's misfortune.")
	end
end

function Emotie:GolfClap()
	local targetName = self:GetTargetName()
	if targetName ~= "" then
		ChatSystemLib.Command("/e claps for " .. targetName .. ", clearly unimpressed.")	
	else
		ChatSystemLib.Command("/e claps half heartedly, clearly unimpressed.")
	end
end

function Emotie:Greet()
	local targetName = self:GetTargetName()
	if targetName ~= "" then
		ChatSystemLib.Command("/e greets " .. targetName .. " warmly.")	
	else
		ChatSystemLib.Command("/e greets everyone warmly.")
	end
end

function Emotie:Groan()
	local targetName = self:GetTargetName()
	if targetName ~= "" then
		ChatSystemLib.Command("/e looks at " .. targetName .. " and groans.")	
	else
		ChatSystemLib.Command("/e groans.")
	end
end

function Emotie:Grovel()
	local targetName = self:GetTargetName()
	if targetName ~= "" then
		ChatSystemLib.Command("/e grovels before " .. targetName .. " like a subservient peon.")	
	else
		ChatSystemLib.Command("/e grovels on the ground, walling in subservience.")
	end
end

function Emotie:Growl()
	local targetName = self:GetTargetName()
	if targetName ~= "" then
		ChatSystemLib.Command("/e growls menacingly at " .. targetName .. ".")	
	else
		ChatSystemLib.Command("/e growls menacingly.")
	end
end

function Emotie:Guffaw()
	local targetName = self:GetTargetName()
	if targetName ~= "" then
		ChatSystemLib.Command("/e takes one look at " .. targetName .. " and lets out a guffaw!")	
	else
		ChatSystemLib.Command("/e lets out a boisterous guffaw!")
	end
end

function Emotie:Hail()
	local targetName = self:GetTargetName()
	if targetName ~= "" then
		ChatSystemLib.Command("/e hails " .. targetName .. ".")	
	else
		local gender = self:GetSelfGender()
		local himher = "him"
		if gender == 1 then
			himher = "her"
		end
		ChatSystemLib.Command("/e hails everyone around " .. himher .. ".")
	end
end


function Emotie:HealMe()
	ChatSystemLib.Command("/e calls out for healing!")
end

function Emotie:Hello()
	local targetName = self:GetTargetName()
	if targetName ~= "" then
		ChatSystemLib.Command("/e greets " .. targetName .. " with a hearty hello!")	
	else
		ChatSystemLib.Command("/e greets everyone with a hearty hello!")
	end
end

function Emotie:HelpMe()
	ChatSystemLib.Command("/e cries out for help!")
end

function Emotie:HighFive()
	local targetName = self:GetTargetName()
	if targetName ~= "" then
		ChatSystemLib.Command("/e gives " .. targetName .. " a high five!")	
	else
		local gender = self:GetSelfGender()
		local hisher = "his"
		if gender == 1 then
			hisher = "her"
		end
		ChatSystemLib.Command("/e puts up " .. hisher .. " hand for a high five.")
	end
end

function Emotie:Hungry()
	local targetName = self:GetTargetName()
	if targetName ~= "" then
		ChatSystemLib.Command("/e is hungry. Maybe " .. targetName .. " has some food...")	
	else
		ChatSystemLib.Command("/e is hungry!")
	end
end

function Emotie:Incoming()
	local targetName = self:GetTargetName()
	if targetName ~= "" then
		ChatSystemLib.Command("/e points out " .. targetName .. " as an incoming enemy!")	
	else
		ChatSystemLib.Command("/e warns everyone of incoming enemies!")
	end
end

function Emotie:Insult()
	local targetName = self:GetTargetName()
	if targetName ~= "" then
		ChatSystemLib.Command("/e thinks " .. targetName .. " is a son of a motherless krogg.")	
	else
		ChatSystemLib.Command("/e thinks everyone around you is a son of a motherless krogg.")
	end
end

function Emotie:Introduce()
	local targetName = self:GetTargetName()
	local gender = self:GetSelfGender()
	local himherself = "himself"
	if gender == 1 then
		himherself = "herself"
	end
	if targetName ~= "" then
		ChatSystemLib.Command("/e introduces " .. himherself .. " to " .. targetName .. ".")	
	else
		ChatSystemLib.Command("/e introduces " .. himherself .. " to everyone.")
	end
end

function Emotie:JK()
	local targetName = self:GetTargetName()
	if targetName ~= "" then
		local gender = self:GetSelfGender()
		local heshe = "he"
		if gender == 1 then
			heshe = "she"
		end
		ChatSystemLib.Command("/e lets " .. targetName .. " know that " .. heshe .. " was just kidding!")	
	else
		ChatSystemLib.Command("/e was just kidding!")
	end
end

function Emotie:Lavish()
	local targetName = self:GetTargetName()
	if targetName ~= "" then
		ChatSystemLib.Command("/e lavishes praise upon " .. targetName .. ".")	
	else
		ChatSystemLib.Command("/e praise the Light.")
	end
end

function Emotie:Lay()
	local targetName = self:GetTargetName()
	if targetName ~= "" then
		ChatSystemLib.Command("/e lies down before " .. targetName .. ".")	
	else
		ChatSystemLib.Command("/e lies down.")
	end
end

function Emotie:Listen()
	local targetName = self:GetTargetName()
	if targetName ~= "" then
		ChatSystemLib.Command("/e listens intently to " .. targetName .. ".")	
	else
		ChatSystemLib.Command("/e is listening!")
	end
end

function Emotie:LOL()
	ChatSystemLib.Command("/laugh")
end

function Emotie:Lost()
	local targetName = self:GetTargetName()
	if targetName ~= "" then
		local gender = self:GetSelfGender()
		local heshe = "he"
		if gender == 1 then
			heshe = "she"
		end
		ChatSystemLib.Command("/e wants " .. targetName .. " to know that " .. heshe .. " is hopelessly lost.")	
	else
		ChatSystemLib.Command("/e is hopelessly lost.")
	end
end

function Emotie:Mad()
	local targetName = self:GetTargetName()
	local gender = self:GetSelfGender()
	local hisher = "his"
	if gender == 1 then
		hisher = "her"
	end
	if targetName ~= "" then
		ChatSystemLib.Command("/e raises " .. hisher .. " fist in anger at " .. targetName .. ".")	
	else
		ChatSystemLib.Command("/e raises " .. hisher .. " fist in anger.")
	end
end

function Emotie:Massage()
	local targetName = self:GetTargetName()
	if targetName ~= "" then
		ChatSystemLib.Command("/e massages " .. targetName .. "'s shoulders.")	
	else
		ChatSystemLib.Command("/e needs a massage!")
	end
end

function Emotie:Moan()
	local targetName = self:GetTargetName()
	if targetName ~= "" then
		ChatSystemLib.Command("/e moans suggestively at " .. targetName .. ".")	
	else
		ChatSystemLib.Command("/e moans suggestively.")
	end
end

function Emotie:Mock()
	local targetName = self:GetTargetName()
	if targetName ~= "" then
		ChatSystemLib.Command("/e mocks the foolishness of " .. targetName .. ".")	
	else
		ChatSystemLib.Command("/e mocks life and all it stands for.")
	end
end

function Emotie:Moo()
	local targetName = self:GetTargetName()
	if targetName ~= "" then
		ChatSystemLib.Command("/e moos " .. targetName .. ". Mooooooooooo.")	
	else
		ChatSystemLib.Command("/e moos. Mooooooooooo.")
	end
end

function Emotie:Moon()
	local targetName = self:GetTargetName()
	local gender = self:GetSelfGender()
	local hisher = "his"
	if gender == 1 then
		hisher = "her"
	end
	if targetName ~= "" then
		ChatSystemLib.Command("/e drops " .. hisher .. " trousers and moons " .. targetName .. ".")	
	else
		ChatSystemLib.Command("/e drops " .. hisher .. " trousers and moons everyone.")
	end
end

function Emotie:Mourn()
	local targetName = self:GetTargetName()
	if targetName ~= "" then
		ChatSystemLib.Command("/e mourns the loss of " .. targetName .. " in quiet comtemplation.")	
	else
		ChatSystemLib.Command("/e mourns the loss of the dead in quiet comtemplation.")
	end
end

function Emotie:OpenFire()
	ChatSystemLib.Command("/e gives the order to open fire.")
end

function Emotie:Party()
	ChatSystemLib.Command("/cheer")
end

function Emotie:Peer()
	local targetName = self:GetTargetName()
	if targetName ~= "" then
		ChatSystemLib.Command("/e peers at " .. targetName .. " searchingly.")	
	else
		ChatSystemLib.Command("/e peers around, searchingly!")
	end
end

function Emotie:Pest()
	local targetName = self:GetTargetName()
	if targetName ~= "" then
		ChatSystemLib.Command("/e shoos " .. targetName .. " away. Be gone pest!")	
	else
		ChatSystemLib.Command("/e shoos the measly pests away.")
	end
end

function Emotie:Pick()
	local targetName = self:GetTargetName()
	if targetName ~= "" then
		local gender = self:GetSelfGender()
		local hisher = "his"
		if gender == 1 then
			hisher = "her"
		end
		ChatSystemLib.Command("/e picks " .. hisher .. " nose and shows it to " .. targetName .. ".")	
	else
		ChatSystemLib.Command("/e passes the time with a finger deep in one nostril.")
	end
end

function Emotie:Pity()
	local targetName = self:GetTargetName()
	local gender = self:GetSelfGender()
	local himher = "him"
	if gender == 1 then
		himher = "her"
	end
	if targetName ~= "" then
		ChatSystemLib.Command("/e picks " .. hisher .. " nose and shows it to " .. targetName .. ".")	
	else
		ChatSystemLib.Command("/e pities those around " .. himher .. ".")
	end
end

function Emotie:Plead()
	local targetName = self:GetTargetName()
	if targetName ~= "" then
		ChatSystemLib.Command("/e pleads with " .. targetName .. ".")	
	else
		local gender = self:GetSelfGender()
		local hisher = "his"
		if gender == 1 then
			hisher = "her"
		end
		ChatSystemLib.Command("/e drops to " .. hisher .. " knees and pleads in desperation.")
	end
end

function Emotie:Ponder()
	local targetName = self:GetTargetName()
	if targetName ~= "" then
		ChatSystemLib.Command("/e ponders " .. targetName .. "'s actions.")	
	else
		ChatSystemLib.Command("/e ponders the situation.")
	end
end

function Emotie:Pounce()
	local targetName = self:GetTargetName()
	if targetName ~= "" then
		ChatSystemLib.Command("/e pounces on top of " .. targetName .. ".")	
	else
		ChatSystemLib.Command("/e pounces out from the shadows.")
	end
end

function Emotie:Pray()
	local targetName = self:GetTargetName()
	if targetName ~= "" then
		ChatSystemLib.Command("/e says a prayer for " .. targetName .. ".")	
	else
		ChatSystemLib.Command("/e prays to the Gods.")
	end
end

function Emotie:Purr()
	local targetName = self:GetTargetName()
	if targetName ~= "" then
		ChatSystemLib.Command("/e purrs at " .. targetName .. ".")	
	else
		ChatSystemLib.Command("/e purrs like a kitten.")
	end
end

function Emotie:Puzzled()
	local targetName = self:GetTargetName()
	if targetName ~= "" then
		ChatSystemLib.Command("/e is puzzled by " .. targetName .. ".")	
	else
		ChatSystemLib.Command("/e is puzzled. What's going on here?")
	end
end

function Emotie:Question()
	local targetName = self:GetTargetName()
	if targetName ~= "" then
		ChatSystemLib.Command("/e questions " .. targetName .. ".")	
	else
		ChatSystemLib.Command("/e wants to know the meaning of life.") --the universe and everything.
	end
end

function Emotie:Raise()
	local targetName = self:GetTargetName()
	if targetName ~= "" then
		ChatSystemLib.Command("/e looks at " .. targetName .. " and raises a hand.")	
	else
		ChatSystemLib.Command("/e raises a hand in the hair.") 
	end
end

function Emotie:Ready()
	local targetName = self:GetTargetName()
	local gender = self:GetSelfGender()
	local heshe = "he"
	if gender == 1 then
		heshe = "she"
	end
	if targetName ~= "" then
		ChatSystemLib.Command("/e lets " .. targetName .. " know that " .. heshe .. " is ready!")	
	else
		ChatSystemLib.Command("/e lets everyone know that " .. heshe .. " is ready!")
	end
end

function Emotie:Rear()
	local targetName = self:GetTargetName()
	local gender = self:GetSelfGender()
	local hisher = "his"
	if gender == 1 then
		hisher = "her"
	end
	if targetName ~= "" then
		ChatSystemLib.Command("/e shakes " .. hisher .. " rear at " .. targetName .. ".")	
	else
		ChatSystemLib.Command("/e shakes " .. hisher .. " rear.")
	end
end

function Emotie:ROFL()
	local targetName = self:GetTargetName()
	if targetName ~= "" then
		ChatSystemLib.Command("/e rolls on the floor laughing at " .. targetName .. ".")	
	else
		ChatSystemLib.Command("/e rolls on the floor laughing.") 
	end
end

function Emotie:Rude()
	local targetName = self:GetTargetName()
	if targetName ~= "" then
		ChatSystemLib.Command("/e makes a rude gesture at " .. targetName .. ".")	
	else
		ChatSystemLib.Command("/e makes a rude gesture.") 
	end
end

function Emotie:Scared()
	local targetName = self:GetTargetName()
	if targetName ~= "" then
		ChatSystemLib.Command("/e is scared of " .. targetName .. ".")	
	else
		ChatSystemLib.Command("/e is scared!") 
	end
end

function Emotie:Sexy()
	local targetName = self:GetTargetName()
	if targetName ~= "" then
		ChatSystemLib.Command("/e thinks " .. targetName .. " is a sexy devil.")	
	else
		ChatSystemLib.Command("/e is scared!") 
	end
end


function Emotie:Shimmy()
	local targetName = self:GetTargetName()
	if targetName ~= "" then
		ChatSystemLib.Command("/e shimmies before " .. targetName .. ".")	
	else
		ChatSystemLib.Command("/e shimmies before the masses.") 
	end
end

function Emotie:Shiver()
	local targetName = self:GetTargetName()
	if targetName ~= "" then
		ChatSystemLib.Command("/e shivers besides " .. targetName .. ". Chilling!")	
	else
		local gender = self:GetSelfGender()
		local hisher = "his"
		if gender == 1 then
			hisher = "her"
		end
		ChatSystemLib.Command("/e shivers in " .. hisher .. " boots. Chilling!") 
	end
end

function Emotie:Silly()
	local targetName = self:GetTargetName()
	if targetName ~= "" then
		ChatSystemLib.Command("/e tells " .. targetName .. " a joke.")	
	else
		ChatSystemLib.Command("/e tells a joke.") 
	end
end

function Emotie:Smell()
	local targetName = self:GetTargetName()
	if targetName ~= "" then
		ChatSystemLib.Command("/e smells " .. targetName .. ". Wow, someone stinks!")	
	else
		local gender = self:GetSelfGender()
		local himher = "him"
		if gender == 1 then
			himher = "her"
		end
		ChatSystemLib.Command("/e smells the air around " .. himher .. ". Wow, someone stinks!") 
	end
end

function Emotie:Smirk()
	local targetName = self:GetTargetName()
	if targetName ~= "" then
		ChatSystemLib.Command("/e smirks slyly at " .. targetName .. ".")	
	else
		ChatSystemLib.Command("/e smirks slyly.") 
	end
end

function Emotie:Snarl()
	local targetName = self:GetTargetName()
	local gender = self:GetSelfGender()
	local hisher = "his"
	if gender == 1 then
		hisher = "her"
	end
	if targetName ~= "" then
		ChatSystemLib.Command("/e bares " .. hisher .. " teeth and snarls at " .. targetName .. ".")	
	else
		ChatSystemLib.Command("/e bares " .. hisher .. " teeth and snarls.") 
	end
end

function Emotie:Snicker()
	local targetName = self:GetTargetName()
	if targetName ~= "" then
		ChatSystemLib.Command("/e snickers at " .. targetName .. ".")	
	else
		local gender = self:GetSelfGender()
		local himher = "himself"
		if gender == 1 then
			himher = "herself"
		end
		ChatSystemLib.Command("/e quickly snickers to " .. himher) 
	end
end

function Emotie:Sniff()
	local targetName = self:GetTargetName()
	if targetName ~= "" then
		ChatSystemLib.Command("/e sniffs " .. targetName .. ".")	
	else
		local gender = self:GetSelfGender()
		local himher = "him"
		if gender == 1 then
			himher = "her"
		end
		ChatSystemLib.Command("/e sniffs the air around " .. himher .. ".") 
	end
end

function Emotie:Snub()
	local targetName = self:GetTargetName()
	if targetName ~= "" then
		ChatSystemLib.Command("/e snubs " .. targetName .. ".")	
	else
		local gender = self:GetSelfGender()
		local himher = "him"
		if gender == 1 then
			himher = "her"
		end
		ChatSystemLib.Command("/e snubs all of the lowly peons around " .. himher .. ".") 
	end
end

function Emotie:Sob()
	ChatSystemLib.Command("/cry") 
end

function Emotie:Soothe()
	local targetName = self:GetTargetName()
	if targetName ~= "" then
		ChatSystemLib.Command("/e soothes " .. targetName .. ". There, there... things will be okay.")	
	else
		ChatSystemLib.Command("/e needs to be soothed.") 
	end
end

function Emotie:Spit()
	local targetName = self:GetTargetName()
	if targetName ~= "" then
		ChatSystemLib.Command("/e spits on " .. targetName .. ".")	
	else
		ChatSystemLib.Command("/e spits on the ground.") 
	end
end

function Emotie:Strong()
	ChatSystemLib.Command("/flex2") 
end

function Emotie:Surrender()
	local targetName = self:GetTargetName()
	if targetName ~= "" then
		ChatSystemLib.Command("/e surrenders before " .. targetName .. ". Such is the agony of defeat...")	
	else
		local gender = self:GetSelfGender()
		local hisher = "his"
		if gender == 1 then
			hisher = "her"
		end
		ChatSystemLib.Command("/e surrenders to " .. hisher .. " opponents.") 
	end
end

function Emotie:TalkEx()
	local targetName = self:GetTargetName()
	if targetName ~= "" then
		ChatSystemLib.Command("/e talks excitedly with " .. targetName .. ".")	
	else
		ChatSystemLib.Command("/e talks excitedly with everyone.") 
	end
end

function Emotie:Tap()
	local targetName = self:GetTargetName()
	local gender = self:GetSelfGender()
	local hisher = "his"
	if gender == 1 then
		hisher = "her"
	end
	if targetName ~= "" then
		local heshe = "he"
		if gender == 1 then
			heshe = "her"
		end
		ChatSystemLib.Command("/e taps " .. hisher .. " foot as " .. heshe .. " waits for "  .. targetName .. ".")	
	else
		ChatSystemLib.Command("/e taps " .. hisher .. " foot. Hurry up already!") 
	end
end

function Emotie:Taunt()
	local targetName = self:GetTargetName()
	if targetName ~= "" then
		ChatSystemLib.Command("/e makes a taungint gesture at " .. targetName .. ". Bring it!")	
	else
		local gender = self:GetSelfGender()
		local himher = "him"
		if gender == 1 then
			himher = "her"
		end
		ChatSystemLib.Command("/e taunts everyone around " .. himher .. ". Bring it, fools!") 
	end
end

function Emotie:Tease()
	local targetName = self:GetTargetName()
	if targetName ~= "" then
		ChatSystemLib.Command("/e teases " .. targetName .. ".")	
	else
		ChatSystemLib.Command("/e is such a tease.") 
	end
end

function Emotie:Thirsty()
	local targetName = self:GetTargetName()
	if targetName ~= "" then
		local gender = self:GetSelfGender()
		local heshe = "he"
		if gender == 1 then
			heshe = "she"
		end
		ChatSystemLib.Command("/e lets " .. targetName .. " know that " .. heshe .. " is thirsty. Spare a drink?")	
	else
		ChatSystemLib.Command("/e is so thirsty. Can anyone spare a drink?") 
	end
end

function Emotie:Tickle()
	local targetName = self:GetTargetName()
	if targetName ~= "" then
		ChatSystemLib.Command("/e tickles " .. targetName .. ". Hee hee!")	
	else
		ChatSystemLib.Command("/e wants to be tickled. Hee hee!") 
	end
end

function Emotie:Tired()
	local targetName = self:GetTargetName()
	local gender = self:GetSelfGender()
	local heshe = "he"
	if gender == 1 then
		heshe = "she"
	end
	if targetName ~= "" then
		ChatSystemLib.Command("/e lets " .. targetName .. " know that " .. heshe .. " is tired.")	
	else
		ChatSystemLib.Command("/e lets everyone know that " .. heshe .. " is tired.")
	end
end

function Emotie:Train()
	ChatSystemLib.Command("/e is a train. Choo choo!") 
end

function Emotie:Thank()
	ChatSystemLib.Command("/thanks") 
end

function Emotie:Veto()
	local targetName = self:GetTargetName()
	if targetName ~= "" then
		ChatSystemLib.Command("/e vetoes " .. targetName .. "'s motion.")	
	else
		ChatSystemLib.Command("/e vetoes the motion on the floor.") 
	end
end

function Emotie:Victory()
	local targetName = self:GetTargetName()
	if targetName ~= "" then
		ChatSystemLib.Command("/e basks in the glory of victory with " .. targetName .. ".")	
	else
		ChatSystemLib.Command("/e basks in the glory of victory.") 
	end
end

function Emotie:Violin()
	local targetName = self:GetTargetName()
	if targetName ~= "" then
		ChatSystemLib.Command("/e plays the world's smallest violin for " .. targetName .. ".")	
	else
		ChatSystemLib.Command("/e begins to play the world's smallest violin.") 
	end
end

function Emotie:Wait()
	local targetName = self:GetTargetName()
	if targetName ~= "" then
		ChatSystemLib.Command("/e asks " .. targetName .. " to wait.")	
	else
		ChatSystemLib.Command("/e asks everyone to wait.") 
	end
end

function Emotie:Whistle()
	local targetName = self:GetTargetName()
	if targetName ~= "" then
		ChatSystemLib.Command("/e whistles at " .. targetName .. ".")	
	else
		ChatSystemLib.Command("/e lets out a sharp whistle.") 
	end
end

function Emotie:Wicked()
	local targetName = self:GetTargetName()
	if targetName ~= "" then
		ChatSystemLib.Command("/e grins wickedly at " .. targetName .. ".")	
	else
		ChatSystemLib.Command("/e grins wickedly.") 
	end
end

function Emotie:Woot()
	ChatSystemLib.Command("/cheer") 
end

function Emotie:Work()
	local targetName = self:GetTargetName()
	if targetName ~= "" then
		ChatSystemLib.Command("/e works with " .. targetName .. ".")	
	else
		ChatSystemLib.Command("/e brings to work.") 
	end
end

-----------------------------------------------------------------------------------------------
-- EmotieForm Functions
-----------------------------------------------------------------------------------------------
-- when the OK button is clicked
function Emotie:OnOK()
	self.wndMain:Close() -- hide the window
end

-- when the Cancel button is clicked
function Emotie:OnCancel()
	self.wndMain:Close() -- hide the window
end


-----------------------------------------------------------------------------------------------
-- Emotie Instance
-----------------------------------------------------------------------------------------------
local EmotieInst = Emotie:new()
EmotieInst:Init()
